Authorize.net AIM plugin error in version 4

Discussion in 'Troubleshooting' started by rmjones, Dec 9, 2011.

  1. rmjones

    rmjones New Member

    Joined:
    Oct 3, 2011
    Messages:
    14
    Has anyone come across the following error with authorize in version 4?

    Fatal error: Class 'Am_Paysystem_Transaction_AuthorizeAim' not found in /home/content/59/6745159/html/amember/application/cc/plugins/authorize-aim.php on line 43
    I have sent this to the help desk but they are closed til Monday. I hope someone has a resolution tfor this
  2. alex

    alex Administrator Staff Member

    Joined:
    Jan 24, 2004
    Messages:
    6,020
    Authorize-AIM plugin is not available in v4. We are not planning to implement it now. You've received it by mistake.

    Please enable and use authorize-cim instead.
  3. rmjones

    rmjones New Member

    Joined:
    Oct 3, 2011
    Messages:
    14
    I tired Authorize.net cim and got the following error also.

    Using Authorize cim

    In Test Mode:

    Fatal error: Call to undefined method InvoiceLog::mask() in

    /home/content/59/6745159/html/amember/application/cc/library/Am/Paysystem/Transaction/CreditCard.

    php on line 96
  4. alexander

    alexander Administrator Staff Member

    Joined:
    Jan 8, 2003
    Messages:
    6,274
    Please upgrade your install to 4.1.8 and test again. It seems you have old version.
  5. rmjones

    rmjones New Member

    Joined:
    Oct 3, 2011
    Messages:
    14
    I do not see an upgrade to 4.1.8 I have asked that you reinstall 4.1.9 for me since you did the install last week and I don't have a product I can use. The updater was disabled according to another thread in 4.1.7
  6. alexander

    alexander Administrator Staff Member

    Joined:
    Jan 8, 2003
    Messages:
    6,274
    Login into your account at http://www.amember.com/amember/member/ -> v4
    Latest version available for download is 4.1.9
    Upload all files from latest package to your server and replace existing aMember files.
    Then run /amember/admin-upgradedb

Share This Page